## pkgconf 1.4.2

=== CMakeLists.txt ===
# CMake configuration for pkgconf
#
# Caution: this assumes you don't set CMAKE_BUILD_TYPE
#
# FIXME: this isn't a native cmake approach, it's just a straight translation
# of configure.ac + Makefile.am, barely good enough to work on Linux, Mac, and Windows.

# Require recent cmake, but not so recent that Ubuntu 16.04 users have to upgrade.
CMAKE_MINIMUM_REQUIRED(VERSION 3.5.1 FATAL_ERROR)

PROJECT(pkgconf C)

SET(PACKAGE_BUGREPORT http://github.com/pkgconf/pkgconf/issues)
SET(PACKAGE_NAME pkgconf)
SET(PACKAGE_VERSION 1.3.7)
SET(LIBPKGCONF_VERSION "3.0.0")
SET(LIBPKGCONF_SOVERSION 3)

#-------- GNU directory variables ---------

SET(abs_top_srcdir ${pkgconf_SOURCE_DIR})
SET(prefix ${CMAKE_INSTALL_PREFIX})
SET(exec_prefix ${prefix})
SET(datarootdir ${prefix}/share)
SET(datadir ${datarootdir})
SET(libdir ${prefix}/lib)
SET(includedir ${prefix}/include)

#-------- User-settable options ---------

# FIXME: this is overridden in get_default_pkgconfig_path() on windows, but not in test_env.sh.in?!
SET(pkg_config_dir "${libdir}/pkgconfig:${datadir}/pkgconfig" CACHE STRING "specify the places where pc files will be found")
SET(PKGCONFIGDIR "${pkg_config_dir}")
SET(pkg_default_dir "${PKGCONFIGDIR}")   # c'mon, make up your mind

SET(system_libdir "${libdir}" CACHE STRING "specify the system library directory (default LIBDIR)")
SET(SYSTEM_LIBDIR "${system_libdir}")

SET(system_includedir "${includedir}" CACHE STRING "specify the system include directory (default INCLUDEDIR)")
SET(SYSTEM_INCLUDEDIR "${system_includedir}")

#-------- Probe system ---------

INCLUDE (CheckIncludeFiles)
CHECK_INCLUDE_FILES(sys/stat.h HAVE_SYS_STAT_H)
INCLUDE (CheckFunctionExists)
CHECK_FUNCTION_EXISTS(strlcpy HAVE_STRLCPY)
CHECK_FUNCTION_EXISTS(strlcat HAVE_STRLCAT)
CHECK_FUNCTION_EXISTS(strndup HAVE_STRNDUP)
CHECK_FUNCTION_EXISTS(cygwin_conv_path HAVE_CYGWIN_CONV_PATH)

#-------- Generate source files ---------

CONFIGURE_FILE(libpkgconf/config.h.cmake.in libpkgconf/config.h @ONLY)

#-------- Configure common compiler options --------

IF (WIN32)
  # Make warnings fatal... but ignore C4996: 'strdup' two different ways
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /WX /wd4996")
  # Ignore warning C4996: 'strncpy'
  ADD_DEFINITIONS("-D_CRT_SECURE_NO_WARNINGS=1")
ELSE()
  INCLUDE(CheckCCompilerFlag)
  CHECK_C_COMPILER_FLAG("-Wall" COMPILER_HAS_WALL)
  IF (COMPILER_HAS_WALL)
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
  ENDIF()
  CHECK_C_COMPILER_FLAG("-Wextra" COMPILER_HAS_WEXTRA)
  IF (COMPILER_HAS_WEXTRA)
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wextra")
  ENDIF()
  CHECK_C_COMPILER_FLAG("-Wformat=2" COMPILER_HAS_WFORMAT)
  IF (COMPILER_HAS_WFORMAT)
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wformat=2")
  ENDIF()
  CHECK_C_COMPILER_FLAG("-std=gnu99" COMPILER_HAS_STD_GNU99)
  CHECK_C_COMPILER_FLAG("-std=c99" COMPILER_HAS_STD_C99)
  IF (COMPILER_HAS_STD_GNU99)
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99")
  ELSEIF (COMPILER_HAS_STD_C99)
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99")
  ENDIF()
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O2 -g")
ENDIF()

INCLUDE_DIRECTORIES(${pkgconf_SOURCE_DIR} ${pkgconf_BINARY_DIR})
ADD_DEFINITIONS(-DPKG_DEFAULT_PATH=\"${pkg_default_dir}\")
ADD_DEFINITIONS(-DSYSTEM_INCLUDEDIR=\"${system_includedir}\")
ADD_DEFINITIONS(-DSYSTEM_LIBDIR=\"${system_libdir}\")

#-------- Build and install library --------

# Place shared libraries in same place as binary, for ease of setting PATH in test_env.sh
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${pkgconf_BINARY_DIR})
ADD_SUBDIRECTORY(libpkgconf)

#-------- Build and install executable --------

INCLUDE_DIRECTORIES(${libpkgconf_BINARY_DIR})
ADD_EXECUTABLE(pkgconf main.c getopt_long.c renderer-msvc.c)
TARGET_LINK_LIBRARIES(pkgconf libpkgconf)
INSTALL(TARGETS pkgconf DESTINATION bin)

#-------- Tests ---------

ENABLE_TESTING()

# Handy that these files need configuring; cygwin atf doesn't like windows line endings, and NEWLINE_STYLE helps.
FOREACH(file Kyuafile tests/Kyuafile tests/test_env.sh)
   CONFIGURE_FILE(${file}.in ${file} @ONLY NEWLINE_STYLE UNIX)
ENDFOREACH()

SET(test_scripts
    tests/basic
    tests/builtins
    tests/conflicts
    tests/framework
    tests/parser
    tests/provides
    tests/regress
    tests/requires
    tests/sysroot
    tests/version
   )
# Handy that these files need configuring; cygwin atf doesn't like windows line endings, and NEWLINE_STYLE helps.
FOREACH(file ${test_scripts})
   CONFIGURE_FILE(${file}.sh ${file} @ONLY NEWLINE_STYLE UNIX)
ENDFOREACH()

ADD_TEST(kyua kyua --config=none test)

=== libpkgconf/CMakeLists.txt ===
PROJECT(libpkgconf C)

# Enforce visibiliity restrictions when building shared libraries on Unix.
SET(CMAKE_CXX_VISIBILITY_PRESET hidden)
ADD_DEFINITIONS(-DLIBPKGCONF_EXPORT)

ADD_LIBRARY(libpkgconf SHARED
    argvsplit.c
    audit.c
    bsdstubs.c
    cache.c
    client.c
    dependency.c
    fileio.c
    fragment.c
    path.c
    pkg.c
    queue.c
    tuple.c
)
SET_TARGET_PROPERTIES(libpkgconf PROPERTIES VERSION ${LIBPKGCONF_VERSION} SOVERSION ${LIBPKGCONF_SOVERSION})
INSTALL(TARGETS libpkgconf
  RUNTIME DESTINATION bin
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
)
INSTALL(
  FILES bsdstubs.h iter.h libpkgconf.h libpkgconf-api.h stdinc.h
  DESTINATION include/libpkgconf
)

# Hypothesis: .pc files are a Unix thing, should always have unix line endings.
CONFIGURE_FILE(${pkgconf_SOURCE_DIR}/libpkgconf.pc.in libpkgconf.pc @ONLY NEWLINE_STYLE UNIX)
INSTALL(FILES ${libpkgconf_BINARY_DIR}/libpkgconf.pc DESTINATION lib/pkgconfig)

## pkgconf 0.9.4

=== debian/changelog ===
pkgconf (0.9.4-1) unstable; urgency=low

  * Initial Release (Closes: #702745).

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 05 Jan 2014 01:03:56 +0100

=== debian/control ===
Source: pkgconf
Section: devel
Priority: optional
Maintainer: Andrew Shadura <andrewsh@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf
Homepage: https://github.com/pkgconf/pkgconf
Standards-Version: 3.9.5
Vcs-Hg: http://anonscm.debian.org/hg/collab-maint/pkgconf
Vcs-Browser: http://anonscm.debian.org/hg/collab-maint/pkgconf/summary

Package: pkgconf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pkg-config
Description: manage compile and link flags for libraries
 pkgconf is a replacement for pkg-config, a system for managing library
 compile and link flags that works with automake and autoconf.
 .
 pkgconf does not bundle any third-party libraries or depend on any
 third-party libraries.

=== debian/rules ===
#! /usr/bin/make -f

DEB_HOST_MULTIARCH     := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

SYSTEM_LIBDIRS := $(shell for opt in '' $$($${CC-gcc} -print-multi-lib | sed -n -e's/.*;@/-/p'); do \
     gcc $$opt -print-search-dirs | sed -n -e's/^libraries: =//p' \
     | sed -e's/:/\n/g' | xargs -n1 readlink -f | grep -v 'gcc\|/[0-9.]\+$$'; \
    done | sort -u | tr '\n' : | sed 's/:$$//')

%:
	dh $@ --with=autoreconf

override_dh_auto_configure:
	./configure --prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info --disable-shared \
		--with-pkg-config-dir=/usr/local/lib/$(DEB_HOST_MULTIARCH)/pkgconfig:/usr/local/lib/pkgconfig:/usr/local/share/pkgconfig:/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig:/usr/lib/pkgconfig:/usr/share/pkgconfig \
		--with-system-libdir=$(SYSTEM_LIBDIRS)

override_dh_auto_install:
	dh_auto_install
	rm -f debian/pkgconf/usr/share/aclocal/pkg.m4

.PHONY: override_dh_auto_configure override_dh_auto_install

=== debian/watch ===
version=3
http://rabbit.dereferenced.org/~nenolod/distfiles/pkgconf-(.*)\.t.*

## pkgconf 0.9.5

=== debian/changelog ===
pkgconf (0.9.5-4) unstable; urgency=medium

  * Apply upstream patch to handle --with-system-includedir and
    --with-system-libdir correctly (Closes: #742634).

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 07 Jun 2014 23:40:46 +0200

pkgconf (0.9.5-3) unstable; urgency=low

  * Try to handle transition from broken versions of the package
    more smoothly (#739370).

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 18 Feb 2014 08:54:06 +0100

pkgconf (0.9.5-2) unstable; urgency=low

  * Install pkg-config-crosswrapper in a proper directory (Closes: #739370).

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 17 Feb 2014 23:52:51 +0100

pkgconf (0.9.5-1) unstable; urgency=medium

  * New upstream release (Closes: #734491).

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 16 Feb 2014 14:05:31 +0100

pkgconf (0.9.4-2) unstable; urgency=medium

  * Drop useless dependency on pkg-config, ship needed files and divert
    them as required instead.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 08 Feb 2014 13:09:36 +0100

## pkgconf 0.9.7

=== debian/changelog ===
pkgconf (0.9.7-1) unstable; urgency=medium

  * New upstream release.
  * Drop old patches.

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 08 Oct 2014 15:50:35 +0200

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,13 @@
 	dh $@ --with=autoreconf
 
 override_dh_auto_configure:
-	./configure --prefix=/usr \
+ifneq "$(wildcard /usr/share/misc/config.sub)" ""
+	cp -f /usr/share/misc/config.sub config.sub
+endif
+ifneq "$(wildcard /usr/share/misc/config.guess)" ""
+	cp -f /usr/share/misc/config.guess config.guess
+endif
+	dh_auto_configure -- --prefix=/usr \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info --disable-shared \
 		--with-pkg-config-dir=/usr/local/lib/$(DEB_HOST_MULTIARCH)/pkgconfig:/usr/local/lib/pkgconfig:/usr/local/share/pkgconfig:/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig:/usr/lib/pkgconfig:/usr/share/pkgconfig \
@@ -19,6 +25,6 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	rm -f debian/pkgconf/usr/share/aclocal/pkg.m4
+	chmod +x debian/pkg-config-crosswrapper
 
 .PHONY: override_dh_auto_configure override_dh_auto_install

## pkgconf 0.9.12

=== debian/changelog ===
pkgconf (0.9.12-6) unstable; urgency=medium

  * Handle --define-variable as pkg-config does (Closes: #862509).

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 13 May 2017 22:43:01 +0200

pkgconf (0.9.12-5) unstable; urgency=medium

  * Add previously missing Depends: libdpkg-perl (Closes: #856525).

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 02 Mar 2017 09:41:54 +0100

pkgconf (0.9.12-4) unstable; urgency=medium

  * Store pkg-config architecture in /usr/lib/pkgconf.multiarch, not
    pkg-config.multiarch.

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 26 Feb 2017 13:37:28 +0100

pkgconf (0.9.12-3) unstable; urgency=medium

  * Upload to unstable.
  * Rename dpkg hook and its config to not conflict with pkg-config.

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 26 Feb 2017 10:57:06 +0100

pkgconf (0.9.12-2) experimental; urgency=medium

  * Provide pkg-config-compatible cross-building interface:
    - Import crosswrapper and dpkghook from pkg-config
    - Declare Breaks against pkg-config >= 0.29-1
    - Provide pkg-config = 0.29-1
    - Store pkg-config architecture in /usr/lib/pkg-config.multiarch and
      pick that up in the crosswrapper.
    - Set Multi-Arch: foreign.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 24 Feb 2017 18:42:43 +0100

pkgconf (0.9.12-1) unstable; urgency=medium

  * New upstream release.
  * Make the build reproducible (Closes: #792285).
  * Sync crosswrapper script from pkg-config to search multiarch paths,
    traditional cross-compilation paths, arch-independent paths, and
    /usr/local counterparts.

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 22 Jul 2015 17:42:28 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Andrew Shadura <andrewsh@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf
+Build-Depends: debhelper (>= 9), dh-autoreconf, autotools-dev
 Homepage: https://github.com/pkgconf/pkgconf
 Standards-Version: 3.9.5
 Vcs-Hg: http://anonscm.debian.org/hg/collab-maint/pkgconf
@@ -10,7 +10,10 @@
 
 Package: pkgconf
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, pkg-config
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdpkg-perl
+Provides: pkg-config (= 0.29-1)
+Breaks: pkg-config (>= 0.29-1)
 Description: manage compile and link flags for libraries
  pkgconf is a replacement for pkg-config, a system for managing library
  compile and link flags that works with automake and autoconf.

=== debian/rules ===
#! /usr/bin/make -f

DEB_HOST_MULTIARCH     := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_GNU_TYPE     := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE     := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
   SET_PKG_CONFIG = PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config
   GCC = $(DEB_HOST_GNU_TYPE)-gcc
else
   GCC = gcc
endif 

SYSTEM_LIBDIRS := $(shell for opt in '' $$($${CC-$(GCC)} -print-multi-lib | sed -n -e's/.*;@/-/p'); do \
     $(GCC) $$opt -print-search-dirs | sed -n -e's/^libraries: =//p' \
     | sed -e's/:/\n/g' | xargs -n1 readlink -f | grep -v 'gcc\|/[0-9.]\+$$'; \
    done | LC_ALL=C sort -u | tr '\n' : | sed 's/:$$//')

%:
	dh $@ --with=autoreconf

override_dh_auto_configure:
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	$(SET_PKG_CONFIG) dh_auto_configure -- --prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info --disable-shared \
		--with-pkg-config-dir=/usr/local/lib/$(DEB_HOST_MULTIARCH)/pkgconfig:/usr/local/lib/pkgconfig:/usr/local/share/pkgconfig:/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig:/usr/lib/pkgconfig:/usr/share/pkgconfig \
		--with-system-libdir=$(SYSTEM_LIBDIRS)

override_dh_auto_install:
	dh_auto_install
	chmod +x debian/pkg-config-crosswrapper debian/pkgconf-dpkghook
	echo $(DEB_HOST_MULTIARCH) > debian/pkgconf/usr/lib/pkgconf.multiarch

.PHONY: override_dh_auto_configure override_dh_auto_install

## pkgconf 1.4.2

=== debian/changelog ===
pkgconf (1.4.2-2) unstable; urgency=medium

  * Disable tests until kyua is in Debian. (Closes: #894157)
  * Update the Maintainer field.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 26 Mar 2018 22:56:07 +0200

pkgconf (1.4.2-1) unstable; urgency=medium

  * New upstream version (Closes: #893079, #893080).
  * Drop the patch applied upstream.
  * Add gbp.conf.
  * Update the watch file.
  * Delete binary cruft on clean.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 26 Mar 2018 14:04:56 +0200

=== debian/rules ===
--- 
+++ 
@@ -37,4 +37,6 @@
 	chmod +x debian/pkg-config-crosswrapper debian/pkgconf-dpkghook
 	echo $(DEB_HOST_MULTIARCH) > debian/pkgconf/usr/lib/pkgconf.multiarch
 
+override_dh_auto_test:
+
 .PHONY: override_dh_auto_configure override_dh_auto_install

## pkgconf 1.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 SET(PACKAGE_BUGREPORT http://github.com/pkgconf/pkgconf/issues)
 SET(PACKAGE_NAME pkgconf)
-SET(PACKAGE_VERSION 1.3.7)
+SET(PACKAGE_VERSION 1.6.0)
 SET(LIBPKGCONF_VERSION "3.0.0")
 SET(LIBPKGCONF_SOVERSION 3)
 
@@ -32,6 +32,8 @@
 SET(pkg_config_dir "${libdir}/pkgconfig:${datadir}/pkgconfig" CACHE STRING "specify the places where pc files will be found")
 SET(PKGCONFIGDIR "${pkg_config_dir}")
 SET(pkg_default_dir "${PKGCONFIGDIR}")   # c'mon, make up your mind
+
+SET(personality_dir "${libdir}/pkgconfig/personality.d:${datadir}/pkgconfig/personality.d" CACHE STRING "specify the places where personality files will be found")
 
 SET(system_libdir "${libdir}" CACHE STRING "specify the system library directory (default LIBDIR)")
 SET(SYSTEM_LIBDIR "${system_libdir}")
@@ -55,7 +57,7 @@
 
 #-------- Configure common compiler options --------
 
-IF (WIN32)
+IF (MSVC)
   # Make warnings fatal... but ignore C4996: 'strdup' two different ways
   SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /WX /wd4996")
   # Ignore warning C4996: 'strncpy'
@@ -85,6 +87,7 @@
 ENDIF()
 
 INCLUDE_DIRECTORIES(${pkgconf_SOURCE_DIR} ${pkgconf_BINARY_DIR})
+ADD_DEFINITIONS(-DPERSONALITY_PATH=\"${personality_dir}\")
 ADD_DEFINITIONS(-DPKG_DEFAULT_PATH=\"${pkg_default_dir}\")
 ADD_DEFINITIONS(-DSYSTEM_INCLUDEDIR=\"${system_includedir}\")
 ADD_DEFINITIONS(-DSYSTEM_LIBDIR=\"${system_libdir}\")
@@ -98,7 +101,8 @@
 #-------- Build and install executable --------
 
 INCLUDE_DIRECTORIES(${libpkgconf_BINARY_DIR})
-ADD_EXECUTABLE(pkgconf main.c getopt_long.c renderer-msvc.c)
+SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Icli")
+ADD_EXECUTABLE(pkgconf cli/main.c cli/getopt_long.c cli/renderer-msvc.c)
 TARGET_LINK_LIBRARIES(pkgconf libpkgconf)
 INSTALL(TARGETS pkgconf DESTINATION bin)

=== libpkgconf/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,9 @@
     dependency.c
     fileio.c
     fragment.c
+    parser.c
     path.c
+    personality.c
     pkg.c
     queue.c
     tuple.c

=== debian/changelog ===
pkgconf (1.6.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.
  * d/rules: Remove trailing whitespaces.

  [ Andrej Shadura ]
  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 20 Feb 2019 20:01:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: pkgconf
 Section: devel
 Priority: optional
-Maintainer: Andrew Shadura <andrewsh@debian.org>
+Maintainer: Andrej Shadura <andrewsh@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, autotools-dev
 Homepage: https://github.com/pkgconf/pkgconf
 Standards-Version: 3.9.5
-Vcs-Hg: http://anonscm.debian.org/hg/collab-maint/pkgconf
-Vcs-Browser: http://anonscm.debian.org/hg/collab-maint/pkgconf/summary
+Vcs-Git: https://salsa.debian.org/debian/pkgconf
+Vcs-Browser: https://salsa.debian.org/debian/pkgconf
 
 Package: pkgconf
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
    GCC = $(DEB_HOST_GNU_TYPE)-gcc
 else
    GCC = gcc
-endif 
+endif
 
 SYSTEM_LIBDIRS := $(shell for opt in '' $$($${CC-$(GCC)} -print-multi-lib | sed -n -e's/.*;@/-/p'); do \
      $(GCC) $$opt -print-search-dirs | sed -n -e's/^libraries: =//p' \

## pkgconf 1.6.3

=== debian/changelog ===
pkgconf (1.6.3-5) unstable; urgency=medium

  [ Alex Syrnikov ]
  * Enable build for shared library.
    - Split libpkgconf into two packages.
    - Add symbols file.

  [ Andrej Shadura ]
  * Bump Standards-Version to 4.4.1.
  * Set upstream metadata fields: Bug-Submit.
  * Drop unnecessary usage of dh-autoreconf (dh 12 uses it by
    default anyway).
  * Declare Breaks against an older libpkgconf as well.
  * Ship a dummy transitional package to ease the transition.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 19 Dec 2019 14:55:51 +0100

pkgconf (1.6.3-4) unstable; urgency=medium

  [ Nicolas Braud-Santoni ]
  * debian/copyright:
    - Avoid repeating the text for the ISC license
    - Update paths for relocated files
    - Identify the X11 license for install-sh
  * Lintian: Override package-contains-empty-directory when intentional.
  * debian/control: Update upstream homepage (moved away from Github).
  * Patch issues in manpages.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 18 Jul 2019 11:20:46 -0300

pkgconf (1.6.3-3) unstable; urgency=medium

  * Declare Breaks/Replaces against the old package versions (Closes:
    #923575).

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 12 Jul 2019 15:40:03 +0200

pkgconf (1.6.3-2) unstable; urgency=medium

  * Merge changes from experimental:
    - Split libpkgconf into a separate package.
    - Install libpkgconf docs.
    - Install NEWS.
    - Use debhelper 12.
    - Use ${perl:Depends}.
    - Wrap and sort debian/control.
    - Refresh debian/copyright.
    - Fix the pkg-config manpage symlink.
    - Don’t install .la
  * Bump Standards-Version.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 12 Jul 2019 15:24:37 +0200

pkgconf (1.6.3-1) unstable; urgency=medium

  [ Nicolas Braud-Santoni ]
  * New upstream release (2019-07-12):
    + Numerous bug fixes, including:
      - An empty PKG_CONFIG_LIBDIR didn't eliminate the default search paths.
      - Fix version tokenisation.
    + Added missing option (--modversion) to the pkgconf(1) manpage.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 12 Jul 2019 15:13:23 +0200

pkgconf (1.6.0-2) experimental; urgency=medium

  * Split libpkgconf into a separate package.
  * Install libpkgconf docs.
  * Install NEWS.
  * Use debhelper 12.
  * Use ${perl:Depends}.
  * Wrap and sort debian/control.
  * Refresh debian/copyright.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 20 Feb 2019 20:20:22 +0100

=== debian/control ===
Source: pkgconf
Section: devel
Priority: optional
Maintainer: Andrej Shadura <andrewsh@debian.org>
Build-Depends:
 debhelper-compat (= 12)
Homepage: https://git.sr.ht/~kaniini/pkgconf
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/debian/pkgconf.git
Vcs-Browser: https://salsa.debian.org/debian/pkgconf

Package: pkgconf
Architecture: any
Multi-Arch: foreign
Depends:
 libdpkg-perl,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends}
Provides:
 pkg-config (= 0.29-1)
Breaks:
 pkg-config (>= 0.29-1)
Description: manage compile and link flags for libraries
 pkgconf is a replacement for pkg-config, a system for managing library
 compile and link flags that works with automake and autoconf.
 .
 pkgconf does not bundle any third-party libraries or depend on any
 third-party libraries.

Package: libpkgconf
Section: oldlibs
Architecture: any
Multi-Arch: same
Depends: libpkgconf-dev (>= ${binary:Version})
Description: development files for pkgconf (transitional package)
 pkgconf is a replacement for pkg-config, a system for managing library
 compile and link flags that works with automake and autoconf.
 .
 pkgconf does not bundle any third-party libraries or depend on any
 third-party libraries.
 .
 This package is a dummy transitional package and may be safely removed.

Package: libpkgconf3
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: shared library for pkgconf
 pkgconf is a replacement for pkg-config, a system for managing library
 compile and link flags that works with automake and autoconf.
 .
 pkgconf does not bundle any third-party libraries or depend on any
 third-party libraries.
 .
 libpkgconf is a library which provides access to most of pkgconf's
 functionality, to allow other tooling such as compilers and IDEs to
 discover and use libraries configured by pkgconf.
 .
 This package ships a shared library for libpkgconf.

Package: libpkgconf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libpkgconf3 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Provides: libpkgconf
Breaks: pkgconf (<< 1.6.0-2), libpkgconf (<< 1.6.3-5)
Replaces: pkgconf (<< 1.6.0-2), libpkgconf (<< 1.6.3-5)
Description: development files for pkgconf
 pkgconf is a replacement for pkg-config, a system for managing library
 compile and link flags that works with automake and autoconf.
 .
 pkgconf does not bundle any third-party libraries or depend on any
 third-party libraries.
 .
 libpkgconf is a library which provides access to most of pkgconf's
 functionality, to allow other tooling such as compilers and IDEs to
 discover and use libraries configured by pkgconf.
 .
 This package ships development files for libpkgconf.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,10 @@
 #! /usr/bin/make -f
 
-DEB_HOST_MULTIARCH     := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-DEB_HOST_GNU_TYPE     := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE     := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+include /usr/share/dpkg/architecture.mk
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
    SET_PKG_CONFIG = PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config
@@ -17,7 +19,7 @@
     done | LC_ALL=C sort -u | tr '\n' : | sed 's/:$$//')
 
 %:
-	dh $@ --with=autoreconf
+	dh $@
 
 override_dh_auto_configure:
 ifneq "$(wildcard /usr/share/misc/config.sub)" ""
@@ -28,14 +30,18 @@
 endif
 	$(SET_PKG_CONFIG) dh_auto_configure -- --prefix=/usr \
 		--mandir=\$${prefix}/share/man \
-		--infodir=\$${prefix}/share/info --disable-shared \
+		--infodir=\$${prefix}/share/info \
 		--with-pkg-config-dir=/usr/local/lib/$(DEB_HOST_MULTIARCH)/pkgconfig:/usr/local/lib/pkgconfig:/usr/local/share/pkgconfig:/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig:/usr/lib/pkgconfig:/usr/share/pkgconfig \
 		--with-system-libdir=$(SYSTEM_LIBDIRS)
 
 override_dh_auto_install:
 	dh_auto_install
 	chmod +x debian/pkg-config-crosswrapper debian/pkgconf-dpkghook
+	rm debian/tmp/usr/lib/*/*.la
 	echo $(DEB_HOST_MULTIARCH) > debian/pkgconf/usr/lib/pkgconf.multiarch
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
 
 override_dh_auto_test:

=== debian/watch ===
version=3
https://distfiles.dereferenced.org/pkgconf/pkgconf-(.*)\.t.*

## pkgconf 1.7.4~git20210206+dcf529b

=== debian/changelog ===
pkgconf (1.7.4~git20210206+dcf529b-3) unstable; urgency=medium

  * Make the Hurd build succeed despite a kyua crash.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 18 Feb 2021 15:39:47 +0100

pkgconf (1.7.4~git20210206+dcf529b-2) unstable; urgency=medium

  * Fix build on Hurd.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 18 Feb 2021 13:03:32 +0100

pkgconf (1.7.4~git20210206+dcf529b-1) unstable; urgency=medium

  * New upstream snapshot.
  * Update gbp.conf.
  * Update the homepage.
  * Remove no longer needed HOME override, dh_auto_test does this
    automatically in compat level 13.
  * Update the copyright years.
  * Update the upstream metadata.
  * Add missing ${misc:Depends} to Depends for libpkgconf.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 18 Feb 2021 09:56:16 +0100

pkgconf (1.7.3-2) unstable; urgency=medium

  * Make sure the test framework atf-sh is installed during
    the build process.
  * Don’t install kyua if build profile nocheck.
  * Make test failures non-fatal for now.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 04 Jan 2021 10:31:41 +0100

pkgconf (1.7.3-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release.
  * Drop patches applied upstream.
  * Update the copyrights as per upstream commit 03e5d0f.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.5.0, no changes needed.

  [ Andrea Bolognani ]
  * Add Depends on dpkg-dev (Closes: #952526)

  [ Nicolas Braud-Santoni ]
  * Enable upstream's testsuite.
  * debian/rules: Provide a temporary “homedir” for tests.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 02 Jan 2021 17:32:05 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,14 @@
 #! /usr/bin/make -f
 
 include /usr/share/dpkg/architecture.mk
+
+ifneq (,$(filter $(DEB_HOST_ARCH_OS),hurd))
+DEB_CPPFLAGS_MAINT_APPEND = -DPATH_MAX=4096
+
+override_dh_auto_test:
+	: tests fail on Hurd due to a kyua crash
+	-dh_auto_test || cat debian/.debhelper/generated/_source/home/.kyua/logs/kyua.*.log
+endif
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
@@ -43,6 +51,4 @@
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
-override_dh_auto_test:
-
 .PHONY: override_dh_auto_configure override_dh_auto_install

## pkgconf 1.8.0

=== debian/changelog ===
pkgconf (1.8.0-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release.

  [ Simon McVittie ]
  * d/rules: Factor out computation of system library path into a script
  * d/system-libdirs.sh: Always list directories with and without /usr.
    This avoids potentially unwanted -L flags in --libs if pkgconf is
    built on a merged-/usr system and used on a non-merged-/usr system.
    (Closes: #992622)

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 23 Aug 2021 14:48:27 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: optional
 Maintainer: Andrej Shadura <andrewsh@debian.org>
 Build-Depends:
- debhelper-compat (= 12)
-Homepage: https://git.sr.ht/~kaniini/pkgconf
-Standards-Version: 4.4.1
+ debhelper-compat (= 13),
+ kyua <!nocheck>,
+ atf-sh <!nocheck>
+Homepage: http://pkgconf.org/
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/pkgconf.git
 Vcs-Browser: https://salsa.debian.org/debian/pkgconf
 
@@ -14,6 +16,7 @@
 Multi-Arch: foreign
 Depends:
  libdpkg-perl,
+ dpkg-dev,
  ${misc:Depends},
  ${perl:Depends},
  ${shlibs:Depends}
@@ -32,7 +35,7 @@
 Section: oldlibs
 Architecture: any
 Multi-Arch: same
-Depends: libpkgconf-dev (>= ${binary:Version})
+Depends: libpkgconf-dev (>= ${binary:Version}), ${misc:Depends}
 Description: development files for pkgconf (transitional package)
  pkgconf is a replacement for pkg-config, a system for managing library
  compile and link flags that works with automake and autoconf.

=== debian/rules ===
--- 
+++ 
@@ -21,10 +21,7 @@
    GCC = gcc
 endif
 
-SYSTEM_LIBDIRS := $(shell for opt in '' $$($${CC-$(GCC)} -print-multi-lib | sed -n -e's/.*;@/-/p'); do \
-     $(GCC) $$opt -print-search-dirs | sed -n -e's/^libraries: =//p' \
-     | sed -e's/:/\n/g' | xargs -n1 readlink -f | grep -v 'gcc\|/[0-9.]\+$$'; \
-    done | LC_ALL=C sort -u | tr '\n' : | sed 's/:$$//')
+SYSTEM_LIBDIRS := $(shell sh debian/system-libdirs.sh $(GCC))
 
 %:
 	dh $@

## pkgconf 1.8.1

=== debian/changelog ===
pkgconf (1.8.1-4build1) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 15:09:58 +0000

pkgconf (1.8.1-4) unstable; urgency=medium

  * Team upload.
  * Apply patch to fix FTBFS with gcc-14.
    Thanks to Andreas Hasenack <andreas@canonical.com> (Closes: #1077671)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 20 Oct 2024 20:10:46 +0200

pkgconf (1.8.1-3) unstable; urgency=medium

  [ Andrej Shadura ]
  * Make pkgconf and pkg-config depend on the current version of the binaries.

  [ Helmut Grohne ]
  * Mitigate loss of /usr/lib/pkgconfig due to /usr-merge (Closes: #1050412).

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 12 Jun 2024 14:13:08 +0200

pkgconf (1.8.1-2) experimental; urgency=medium

  * Upload to experimental.

  [ Gianfranco Costamagna ]
  * Implement a basic autopkgtest testsuite (Closes: #1029628).

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 24 Apr 2023 09:39:12 +0200

pkgconf (1.8.1-1) unstable; urgency=high

  * New upstream release.
    - Fix a buffer overflow vulnerability involving very large variable
      expansions (CVE-2023-24056).
  * Apply an upstream patch to validate the dependency graph when --exists
    is specified (Closes: #1026781).
  * Regenerate the documentation for libpkgconf.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 22 Jan 2023 12:06:42 +0100

pkgconf (1.8.0-12) unstable; urgency=medium

  * Temporarily unapply the upstream patch defining PKG_VERSION
    (Closes: #1026216).

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 16 Dec 2022 16:04:09 +0100

pkgconf (1.8.0-11) unstable; urgency=medium

  * Import upstream patches to update pkg.m4 (Closes: #1024336).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 17 Nov 2022 22:04:50 +0100

pkgconf (1.8.0-10) unstable; urgency=medium

  * Upload to unstable.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 11 Nov 2022 16:08:25 +0100

pkgconf (1.8.0-9) experimental; urgency=medium

  * Add an upstream patch to fix sysroot_dir handling.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 21 Oct 2022 19:19:43 +0200

pkgconf (1.8.0-8) experimental; urgency=medium

  * Override non-etc-file-marked-as-conffile remove-on-upgrade
    /etc/dpkg/dpkg.cfg.d/*.
  * Override manpage lintian warnings.
  * Update package-contains-empty-directory override.
  * Bump debian/watch version to 4.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 02 Oct 2022 18:06:09 +0200

pkgconf (1.8.0-7) experimental; urgency=medium

  * Replace the Freedesktop.org implementation of pkg-config with pkgconf.
    See #1020799 for more details.
    - Provide a binary package pkg-config to provide a transition path from
      pkg-config.
    - Remove diversions and leftover symlinks on pkg-config upgrade.
    - Remove the pkg-config dpkg hook on upgrade.
  * Preinst script should not fail if *-pkg-config is not a symlink.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 02 Oct 2022 13:15:07 +0200

pkgconf (1.8.0-6) unstable; urgency=medium

  * Ignore whitespace indentation in .pc files (Closes: #1016922).

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 30 Sep 2022 17:34:39 +0200

pkgconf (1.8.0-5) unstable; urgency=medium

  * Personalities should use GNU type triplets, not multiarch triplets.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 01 Sep 2022 10:03:33 +0200

pkgconf (1.8.0-4) unstable; urgency=medium

  * Declare Breaks against non-split pkgconf package (Closes: #1018813).

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 31 Aug 2022 13:18:21 +0200

pkgconf (1.8.0-3) unstable; urgency=medium

  * Remove obsolete conffile /etc/dpkg/dpkg.cfg.d/pkgconf-hook-config.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 29 Aug 2022 15:27:46 +0200

pkgconf (1.8.0-2) unstable; urgency=medium

  * Split pkgconf into pkgconf and pkgconf-bin and drop the dpkg hook.
  * Update the package descriptions.
  * Drop pkg-config-crosswrapper, use personalities instead
    (Closes: #985667, #892999).
  * Remove old diversions on upgrade.
  * Bump the broken pkg-config version to avoid breaking ourselves.
  * Drop the transitional package libpkgconf.
  * Add missing symbol pkgconf_cross_personality_deinit.
  * Update standards version to 4.6.0, no changes needed.
  * Set Rules-Requires-Root: no.
  * Update copyright years.
  * Delete leftover symlinks pointing at crosswrapper.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 24 Aug 2022 13:34:10 +0200

=== debian/control ===
Source: pkgconf
Section: devel
Priority: optional
Maintainer: Andrej Shadura <andrewsh@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 kyua <!nocheck>,
 atf-sh <!nocheck>
Homepage: http://pkgconf.org/
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/pkgconf.git
Vcs-Browser: https://salsa.debian.org/debian/pkgconf
Rules-Requires-Root: no

Package: pkgconf
Architecture: any
Multi-Arch: same
Depends:
 pkgconf-bin (>= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends}
Replaces:
 pkg-config (<< 1.8)
Provides:
 pkg-config (= ${binary:Version})
Breaks:
 pkg-config (<< 1.8)
Description: manage compile and link flags for libraries
 pkgconf is an implementation of the pkg-config system, which helps to configure
 compiler and linker flags for development frameworks.
 .
 pkgconf is a replacement for pkg-config, providing additional functionality
 while also maintaining compatibility.

Package: pkgconf-bin
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends}
Breaks:
 pkgconf (<< 1.8.0-2~),
Replaces:
 pkgconf (<< 1.8.0-2~),
 pkg-config (<< 1.8),
Description: manage compile and link flags for libraries (binaries)
 pkgconf is an implementation of the pkg-config system, which helps to configure
 compiler and linker flags for development frameworks.
 .
 pkgconf is a replacement for pkg-config, providing additional functionality
 while also maintaining compatibility.
 .
 This package contains the pkgconf binary and related files.

Package: libpkgconf3
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: shared library for pkgconf
 pkgconf is an implementation of the pkg-config system, which helps to configure
 compiler and linker flags for development frameworks.
 .
 pkgconf is a replacement for pkg-config, providing additional functionality
 while also maintaining compatibility.
 .
 libpkgconf is a library which provides access to most of pkgconf's
 functionality, to allow other tooling such as compilers and IDEs to
 discover and use libraries configured by pkgconf.
 .
 This package ships a shared library for libpkgconf.

Package: libpkgconf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libpkgconf3 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Provides: libpkgconf
Breaks: pkgconf (<< 1.6.0-2), libpkgconf (<< 1.6.3-5)
Replaces: pkgconf (<< 1.6.0-2), libpkgconf (<< 1.6.3-5)
Description: development files for pkgconf
 pkgconf is an implementation of the pkg-config system, which helps to configure
 compiler and linker flags for development frameworks.
 .
 pkgconf is a replacement for pkg-config, providing additional functionality
 while also maintaining compatibility.
 .
 libpkgconf is a library which provides access to most of pkgconf's
 functionality, to allow other tooling such as compilers and IDEs to
 discover and use libraries configured by pkgconf.
 .
 This package ships development files for libpkgconf.

Package: pkg-config
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends:
 pkgconf (>= ${source:Version}),
 ${misc:Depends},
Description: manage compile and link flags for libraries (transitional package)
 pkgconf is an implementation of the pkg-config system, which helps to configure
 compiler and linker flags for development frameworks.
 .
 pkgconf is a replacement for pkg-config, providing additional functionality
 while also maintaining compatibility.
 .
 This package only provides a dependency link to the pkgconf package to help
 with package upgrades. It can be safely removed.

=== debian/rules ===
--- 
+++ 
@@ -41,9 +41,15 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	chmod +x debian/pkg-config-crosswrapper debian/pkgconf-dpkghook
 	rm debian/tmp/usr/lib/*/*.la
-	echo $(DEB_HOST_MULTIARCH) > debian/pkgconf/usr/lib/pkgconf.multiarch
+	sed \
+		-e "s^@GNU_TYPE@^$(DEB_HOST_GNU_TYPE)^g" \
+		-e "s^@MULTIARCH@^$(DEB_HOST_MULTIARCH)^g" \
+		-e "s^@SYSTEM_LIBDIRS@^$(SYSTEM_LIBDIRS)^g" \
+		debian/personality.in > debian/pkgconf/usr/share/pkgconfig/personality.d/$(DEB_HOST_GNU_TYPE).personality
+ifneq ($(DEB_HOST_MULTIARCH),$(DEB_HOST_GNU_TYPE))
+	ln -s ${DEB_HOST_GNU_TYPE}.personality debian/pkgconf/usr/share/pkgconfig/personality.d/${DEB_HOST_MULTIARCH}.personality
+endif
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

=== debian/watch ===
version=4

https://distfiles.dereferenced.org/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## pkgconf 2.5.1

=== meson_options.txt ===
option(
  'tests',
  type: 'feature',
  description: 'Build tests which depends upon the kyua framework',
)

option(
  'with-system-libdir',
  type: 'string',
  value: '',
  description: 'Specify the system library directory (default {prefix}/{libdir})'
)

option(
  'with-system-includedir',
  type: 'string',
  value: '',
  description: 'Specify the system include directory (default {prefix}/{includedir})'
)

=== debian/changelog ===
pkgconf (2.5.1-1) experimental; urgency=medium

  * New upstream release.
  * Add new bomtool package.
  * Aadd myself to Uploaders.
  * Bump the soname libpkgconf3 -> libpkgconf7.
  * debian/copyright: Fix typo in upstream contact.
  * Drop upstreamed patches.
  * Drop old trigger, unneeded after trixie.
  * debian/watch: Update host name.

 -- Andrea Pappacoda <tachi@debian.org>  Sun, 10 Aug 2025 22:28:17 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,17 @@
 Section: devel
 Priority: optional
 Maintainer: Andrej Shadura <andrewsh@debian.org>
+Uploaders: Andrea Pappacoda <tachi@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+ dpkg-build-api (= 1)
+Build-Depends-Arch:
  kyua <!nocheck>,
  atf-sh <!nocheck>
 Homepage: http://pkgconf.org/
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/pkgconf.git
 Vcs-Browser: https://salsa.debian.org/debian/pkgconf
-Rules-Requires-Root: no
 
 Package: pkgconf
 Architecture: any
@@ -18,7 +20,6 @@
 Depends:
  pkgconf-bin (>= ${source:Version}),
  ${misc:Depends},
- ${perl:Depends},
  ${shlibs:Depends}
 Replaces:
  pkg-config (<< 1.8)
@@ -38,7 +39,6 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
- ${perl:Depends},
  ${shlibs:Depends}
 Breaks:
  pkgconf (<< 1.8.0-2~),
@@ -54,7 +54,7 @@
  .
  This package contains the pkgconf binary and related files.
 
-Package: libpkgconf3
+Package: libpkgconf7
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -79,7 +79,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libpkgconf3 (= ${binary:Version}),
+ libpkgconf7 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Provides: libpkgconf
@@ -114,3 +114,14 @@
  .
  This package only provides a dependency link to the pkgconf package to help
  with package upgrades. It can be safely removed.
+
+Package: bomtool
+Architecture: any
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Description: generate SPDX-based software bills of material
+ bomtool is a program which generates a textual SPDX 2.0 software bill of
+ materials (SBOM) for a given set of pkg-config modules.  The output of this
+ tool can then be translated into other SBOM formats as necessary.

=== debian/tests/control ===
Tests: testsuite
Depends: @builddeps@, pkg-config, pkgconf-bin

Tests: basic
Depends: libsdl2-dev

=== debian/watch ===
version=4

https://distfiles.ariadne.space/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
